[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora EPEL 6 updates-testing report



The following Fedora EPEL 6 Security updates need testing:

    https://admin.fedoraproject.org/updates/telepathy-gabble-0.8.15-1.el6
    https://admin.fedoraproject.org/updates/Django-1.2.5-1.el6
    https://admin.fedoraproject.org/updates/couchdb-1.0.2-1.el6
    https://admin.fedoraproject.org/updates/phpMyAdmin-3.3.9.2-1.el6
    https://admin.fedoraproject.org/updates/moodle-1.9.11-1.el6


The following builds have been pushed to Fedora EPEL 6 updates-testing

    PyPAM-0.5.0-11.el6
    ReviewBoard-1.5.4-1.el6
    bitten-0.6b3-0.3.el6
    bluefish-2.0.3-1.el6
    cherokee-1.0.20-3.el6
    drupal6-theme-ninesixty-1.0-3.el6
    libmicrohttpd-0.9.6-1.el6
    libscs-1.4.1-4.el6
    libzdb-2.8-1.el6
    moodle-1.9.11-1.el6
    myproxy-5.3-3.el6
    pgadmin3-1.12.2-2.el6
    php-pear-XML-RPC2-1.0.6-1.el6
    php-phpunit-DbUnit-1.0.1-1.el6
    php-phpunit-PHP-CodeCoverage-1.0.4-1.el6
    php-phpunit-PHPUnit-3.5.11-1.el6
    php-phpunit-PHPUnit-MockObject-1.0.8-1.el6
    python-repoze-lru-0.3-1.el6
    python-translationstring-0.3-1.el6
    python-venusian-0.6-1.el6
    rear-1.10.0-1.el6
    rst2pdf-0.16-1.el6
    transifex-client-0.4.2-0.3.226a185088efhg.el6

Details about builds:


================================================================================
 PyPAM-0.5.0-11.el6 (FEDORA-EPEL-2011-0450)
 PAM bindings for Python
--------------------------------------------------------------------------------
Update Information:

fix segfault when users are stored in Active Directory
--------------------------------------------------------------------------------
ChangeLog:

* Wed Feb 23 2011 Miroslav Suchý <msuchy redhat com> 0.5.0-10
- 679714 - deallocate the conversation response only in case of error
* Mon Feb  7 2011 Fedora Release Engineering <rel-eng lists fedoraproject org> - 0.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #679714 - PyPAM-0.5.0-3el5sat segfault when authenticating or registering clients on Satellite using users stored in  Active Directory
        https://bugzilla.redhat.com/show_bug.cgi?id=679714
--------------------------------------------------------------------------------


================================================================================
 ReviewBoard-1.5.4-1.el6 (FEDORA-EPEL-2011-0448)
 Web-based code review tool
--------------------------------------------------------------------------------
Update Information:

- New upstream release 1.5.4
- Added API support for creating/updating/removing repositories
- Added API for change number-related updates
- Fix validation problems with the Search Index settings in the
- Administration UI
- Comments begining in expanded regions of a diff and ending in
- collapsed regions should no longer break the diff viewer
- Usernames with @ in the name (such as when using e-mail addresses
- as usernames) are now allowed
- IntelliJ-generated SVN diffs should now be parsed properly
- The update_changenum method in the old API no longer returns an
- HTTP 500 error
- When replying to a review, names containing an apostrophe are no
- longer displayed incorrectly
- Using a bug number on a review request without a repository no
- longer causes an HTTP 500 error
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5.4/
--------------------------------------------------------------------------------
ChangeLog:

* Mon Feb 21 2011 Stephen Gallagher <sgallagh redhat com> - 1.5.4-1
- New upstream release 1.5.4
- Added API support for creating/updating/removing repositories
- Added API for change number-related updates
- Fix validation problems with the Search Index settings in the
- Administration UI
- Comments begining in expanded regions of a diff and ending in
- collapsed regions should no longer break the diff viewer
- Usernames with @ in the name (such as when using e-mail addresses
- as usernames) are now allowed
- IntelliJ-generated SVN diffs should now be parsed properly
- The update_changenum method in the old API no longer returns an
- HTTP 500 error
- When replying to a review, names containing an apostrophe are no
- longer displayed incorrectly
- Using a bug number on a review request without a repository no
- longer causes an HTTP 500 error
- http://www.reviewboard.org/docs/releasenotes/dev/reviewboard/1.5.4/
--------------------------------------------------------------------------------


================================================================================
 bitten-0.6b3-0.3.el6 (FEDORA-EPEL-2011-0455)
 A continuous integration plugin for Trac
--------------------------------------------------------------------------------
Update Information:

A continuous integration plugin for Trac
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #674009 - Review Request: bitten - A continuous integration plugin for Trac
        https://bugzilla.redhat.com/show_bug.cgi?id=674009
--------------------------------------------------------------------------------


================================================================================
 bluefish-2.0.3-1.el6 (FEDORA-EPEL-2011-0461)
 GTK2 web development application for experienced users
--------------------------------------------------------------------------------
Update Information:

This is the latest upstream release of bluefish.

Release 2.0.3 improves syntax highlighting performance and the 
performance when scrolling in large files. It adds a couple of features such as a split view feature, Clojure syntax, Wordpress syntax, Pascal syntax, jQuery syntax, Processing syntax and R syntax. Various features have improved such as tag closing, toggle comment (shift-control-c), spell check with HTML-entities, join lines and split lines, bookmarks in projects, the preferences user interface and more. There are also two new translations: Nynorsk and Hungarian.

--------------------------------------------------------------------------------
ChangeLog:

* Wed Feb 23 2011 Paul Howarth <paul city-fan org> - 2.0.3-1
- Update to 2.0.3
- Drop gtk2 version requirement back down to 2.12
* Mon Feb  7 2011 Paul Howarth <paul city-fan org> - 2.0.3-0.2.rc2
- Update to 2.0.3-rc2
* Tue Jan  4 2011 Paul Howarth <paul city-fan org> - 2.0.3-0.1.rc1
- Update to 2.0.3-rc1
- Drop patches now integrated into upstream release
- Bump gtk2 version requirement to 2.14
* Sun Dec 19 2010 Paul Howarth <paul city-fan org> - 2.0.2-6
- Update patch for #663014 to fix another potential issue that was discovered
--------------------------------------------------------------------------------


================================================================================
 cherokee-1.0.20-3.el6 (FEDORA-EPEL-2011-0434)
 Flexible and Fast Webserver
--------------------------------------------------------------------------------
Update Information:

Here is where you
give an explanation of
your update.
--------------------------------------------------------------------------------
ChangeLog:

* Tue Feb 22 2011 Pavel Lisý <pali fedoraproject org> - 1.0.20-3
- reenabled ppc build for el4/el5
* Tue Feb 22 2011 Pavel Lisý <pali fedoraproject org> - 1.0.20-2
- .spec corrections for el4
* Tue Feb 22 2011 Pavel Lisý <pali fedoraproject org> - 1.0.20-1
- Latest 1.0.x upstream release (1.0.20)
- Resolves bz 657085
- Resolves bz 678237
* Tue Feb  8 2011 Fedora Release Engineering <rel-eng lists fedoraproject org> - 1.0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #678237 - Not using cherokee user and group as it should
        https://bugzilla.redhat.com/show_bug.cgi?id=678237
  [ 2 ] Bug #657085 - systemd cherokee.service
        https://bugzilla.redhat.com/show_bug.cgi?id=657085
  [ 3 ] Bug #622514 - service cherokee reload should use SIGHUP
        https://bugzilla.redhat.com/show_bug.cgi?id=622514
  [ 4 ] Bug #678838 - Cherokee package is very old
        https://bugzilla.redhat.com/show_bug.cgi?id=678838
--------------------------------------------------------------------------------


================================================================================
 drupal6-theme-ninesixty-1.0-3.el6 (FEDORA-EPEL-2011-0454)
 Ninesixty theme for Drupal 6
--------------------------------------------------------------------------------
Update Information:

NineSixty.gs theme for Drupal 6
This is a new package of the NineSixty theme for Drupal 6.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #678692 - Review Request: drupal6-theme-ninesixty - 960 Grid System (960.gs) theme for Drupal 6
        https://bugzilla.redhat.com/show_bug.cgi?id=678692
--------------------------------------------------------------------------------


================================================================================
 libmicrohttpd-0.9.6-1.el6 (FEDORA-EPEL-2011-0432)
 Lightweight library for embedding a webserver in applications
--------------------------------------------------------------------------------
Update Information:

Update fixing several minor issues and adding basic authentication support.
This update should be ABI stable (no soname bump).
--------------------------------------------------------------------------------
ChangeLog:

* Wed Jan 26 2011 Tim Niemueller <tim niemueller de> - 0.9.6-1
- Update to new upstream release 0.9.6
* Mon Jan 24 2011 Tim Niemueller <tim niemueller de> - 0.9.5-1
- Update to new upstream release 0.9.5
--------------------------------------------------------------------------------


================================================================================
 libscs-1.4.1-4.el6 (FEDORA-EPEL-2011-0446)
 Software Carry-Save Multiple-Precision Library
--------------------------------------------------------------------------------
Update Information:

Initial package
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #678774 - Review Request: libscs - Software Carry-Save Multiple-Precision Library
        https://bugzilla.redhat.com/show_bug.cgi?id=678774
--------------------------------------------------------------------------------


================================================================================
 libzdb-2.8-1.el6 (FEDORA-EPEL-2011-0440)
 Small, fast, and easy to use database API
--------------------------------------------------------------------------------
Update Information:

Changes in this release:
------------------------

Improvements

* Allow spaces in URL property values

* PostgreSQL: Allow sending application name to the server for 
  logging. Thanks to Chris Mayo. The application name will show
  up in PostgreSQL logs for connections and operations made through 
  libzdb. To use, add the application-name property to the URL:
  postgresql://localhost/test??application-name=My Application&..


Bug fixes

* ResultSet_getBlob: Ensure that returned blob size is 0 if blob
  is SQL null.

* Oracle: Fixed ResultSet memory leak.

--------------------------------------------------------------------------------
ChangeLog:

* Tue Feb 22 2011 Bernard Johnson <bjohnson symetrix com> - 2.8-1
- v 2.8
* Tue Feb  8 2011 Fedora Release Engineering <rel-eng lists fedoraproject org> - 2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Wed Dec  8 2010 Bernard Johnson <bjohnson symetrix com> - 2.7-1
- v 2.7
- change BR from flex to flex-static for F15 (bz #660879)
--------------------------------------------------------------------------------


================================================================================
 moodle-1.9.11-1.el6 (FEDORA-EPEL-2011-0449)
 A Course Management System
--------------------------------------------------------------------------------
Update Information:

    New upstream version:

        * http://docs.moodle.org/en/Moodle_1.9.11_release_notes

--------------------------------------------------------------------------------
ChangeLog:

* Tue Feb 22 2011 Jon Ciesla <limb jcomserv net> - 1.9.11-1
- New upstream, security fixes.
* Tue Feb  8 2011 Fedora Release Engineering <rel-eng lists fedoraproject org> - 1.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
* Tue Oct 26 2010 Jon Ciesla <limb jcomserv net> - 1.9.10-1
- New upstream, MSA-10-0017.
- htmlpurifier patch upstreamed.
* Mon Oct  4 2010 Jon Ciesla <limb jcomserv net> - 1.9.9-3
- Correction of CAS symlink typo.
* Thu Aug 19 2010 Jon Ciesla <limb jcomserv net> - 1.9.9-2
- Switch to system php-pear-CAS, BZ 577467, 620772.
- Patching htmlpurifier, BZ 624754.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #679317 - Could we please have Moodle 2.0 for F15?
        https://bugzilla.redhat.com/show_bug.cgi?id=679317
--------------------------------------------------------------------------------


================================================================================
 myproxy-5.3-3.el6 (FEDORA-EPEL-2011-0453)
 Manage X.509 Public Key Infrastructure (PKI) security credentials
--------------------------------------------------------------------------------
Update Information:

MyProxy is now built against libvomsapi instead of libvomsc. While the API is the same the existing libvomsc implementation is now considered old. MyProxy is the only EPEL package to use libvomsc rather than libvomsapi.
--------------------------------------------------------------------------------
ChangeLog:

* Tue Feb 22 2011 Steve Traylen <steve traylen cern ch> - 5.3-3
- myproxy-vomsc-vomsapi.patch to build against vomsapi rather
  than vomscapi.
* Tue Feb  8 2011 Fedora Release Engineering <rel-eng lists fedoraproject org> - 5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #679679 - myproxy requires deprecated voms library
        https://bugzilla.redhat.com/show_bug.cgi?id=679679
--------------------------------------------------------------------------------


================================================================================
 pgadmin3-1.12.2-2.el6 (FEDORA-EPEL-2011-0457)
 Graphical client for PostgreSQL
--------------------------------------------------------------------------------
Update Information:

This is the latest in 1.12 series, and includes lots of new features and bugfixes over the 1.10 version:

http://www.pgadmin.org/development/changelog.php
--------------------------------------------------------------------------------
ChangeLog:

* Wed Feb 23 2011 Devrim GUNDUZ <devrim gunduz org> 1.12.2-2
- Actually install desktop icon.
* Tue Feb 15 2011 Devrim GUNDUZ <devrim gunduz org> 1.12.2-1
- Update to 1.12.2
- Trim changelog
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #675348 - Update pgAdmin to latest 1.12.2
        https://bugzilla.redhat.com/show_bug.cgi?id=675348
--------------------------------------------------------------------------------


================================================================================
 php-pear-XML-RPC2-1.0.6-1.el6 (FEDORA-EPEL-2011-0441)
 XML-RPC client/server library
--------------------------------------------------------------------------------
Update Information:

XML_RPC2 is a pear package providing XML_RPC client and server services. XML-RPC is a simple remote procedure call protocol built using HTTP as transport and XML as encoding.

As a client library, XML_RPC2 is capable of creating a proxy class which exposes the methods exported by the server. As a server library, XML_RPC2 is capable of exposing methods from a class or object instance, seamlessly exporting local methods as remotely callable procedures.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #677089 - Review Request: php-pear-XML-RPC2 - XML-RPC client/server library
        https://bugzilla.redhat.com/show_bug.cgi?id=677089
--------------------------------------------------------------------------------


================================================================================
 php-phpunit-DbUnit-1.0.1-1.el6 (FEDORA-EPEL-2011-0458)
 DbUnit port for PHP/PHPUnit
--------------------------------------------------------------------------------
Update Information:

Upstream Changelogs:

PHPUnit 3.5.11
--------------
* Fixed GH-127: PHPUnit does not report errors in XML configuration files.
* Fixed an issue with ticket listeners related to tests that use data providers.
* Updated list of dependencies in `package.xml` and added missing runtime checks for optional dependencies.

DbUnit 1.0.1
------------
* Fixed GH-24: YAML dataset does not respect empty tables.
* Fixed GH-25: YAML dataset only looks at columns in first row instead of entire data set.
* Fixed MySQL dataset to respect empty tables.
* Updated list of dependencies in `package.xml`.

PHPUnit_MockObject 1.0.8
------------------------
* The blacklist of uncloneable classes did not work for classes that extend an uncloneable class.
* Updated list of dependencies in `package.xml`.

PHP_CodeCoverage 1.0.4
----------------------
* Fixed an issue where `mkdir()` was called with a wrong argument.
* Updated list of dependencies in `package.xml`.


php-phpunit-PHPUnit now requires php-pear-XML_RPC2 (new package)
--------------------------------------------------------------------------------
ChangeLog:

* Wed Feb 16 2011 Remi Collet <Fedora famillecollet com> - 1.0.1-1
- Version 1.0.1 (stable) - API 1.0.0 (stable)
--------------------------------------------------------------------------------


================================================================================
 php-phpunit-PHP-CodeCoverage-1.0.4-1.el6 (FEDORA-EPEL-2011-0458)
 PHP code coverage information
--------------------------------------------------------------------------------
Update Information:

Upstream Changelogs:

PHPUnit 3.5.11
--------------
* Fixed GH-127: PHPUnit does not report errors in XML configuration files.
* Fixed an issue with ticket listeners related to tests that use data providers.
* Updated list of dependencies in `package.xml` and added missing runtime checks for optional dependencies.

DbUnit 1.0.1
------------
* Fixed GH-24: YAML dataset does not respect empty tables.
* Fixed GH-25: YAML dataset only looks at columns in first row instead of entire data set.
* Fixed MySQL dataset to respect empty tables.
* Updated list of dependencies in `package.xml`.

PHPUnit_MockObject 1.0.8
------------------------
* The blacklist of uncloneable classes did not work for classes that extend an uncloneable class.
* Updated list of dependencies in `package.xml`.

PHP_CodeCoverage 1.0.4
----------------------
* Fixed an issue where `mkdir()` was called with a wrong argument.
* Updated list of dependencies in `package.xml`.


php-phpunit-PHPUnit now requires php-pear-XML_RPC2 (new package)
--------------------------------------------------------------------------------
ChangeLog:

* Wed Feb 16 2011 Remi Collet <Fedora famillecollet com> - 1.0.4-1
- Version 1.0.4 (stable) - API 1.0.3 (stable)
- LICENSE CHANGELOG now provided by upstream
--------------------------------------------------------------------------------


================================================================================
 php-phpunit-PHPUnit-3.5.11-1.el6 (FEDORA-EPEL-2011-0458)
 Regression testing framework for unit tests
--------------------------------------------------------------------------------
Update Information:

Upstream Changelogs:

PHPUnit 3.5.11
--------------
* Fixed GH-127: PHPUnit does not report errors in XML configuration files.
* Fixed an issue with ticket listeners related to tests that use data providers.
* Updated list of dependencies in `package.xml` and added missing runtime checks for optional dependencies.

DbUnit 1.0.1
------------
* Fixed GH-24: YAML dataset does not respect empty tables.
* Fixed GH-25: YAML dataset only looks at columns in first row instead of entire data set.
* Fixed MySQL dataset to respect empty tables.
* Updated list of dependencies in `package.xml`.

PHPUnit_MockObject 1.0.8
------------------------
* The blacklist of uncloneable classes did not work for classes that extend an uncloneable class.
* Updated list of dependencies in `package.xml`.

PHP_CodeCoverage 1.0.4
----------------------
* Fixed an issue where `mkdir()` was called with a wrong argument.
* Updated list of dependencies in `package.xml`.


php-phpunit-PHPUnit now requires php-pear-XML_RPC2 (new package)
--------------------------------------------------------------------------------
ChangeLog:

* Wed Feb 16 2011 Remi Collet <Fedora famillecollet com> - 3.5.11-1
- Version 3.5.11 (stable) - API 3.5.7 (stable)
- new dependency on php-pear(XML_RPC2)
--------------------------------------------------------------------------------


================================================================================
 php-phpunit-PHPUnit-MockObject-1.0.8-1.el6 (FEDORA-EPEL-2011-0458)
 Mock Object library for PHPUnit
--------------------------------------------------------------------------------
Update Information:

Upstream Changelogs:

PHPUnit 3.5.11
--------------
* Fixed GH-127: PHPUnit does not report errors in XML configuration files.
* Fixed an issue with ticket listeners related to tests that use data providers.
* Updated list of dependencies in `package.xml` and added missing runtime checks for optional dependencies.

DbUnit 1.0.1
------------
* Fixed GH-24: YAML dataset does not respect empty tables.
* Fixed GH-25: YAML dataset only looks at columns in first row instead of entire data set.
* Fixed MySQL dataset to respect empty tables.
* Updated list of dependencies in `package.xml`.

PHPUnit_MockObject 1.0.8
------------------------
* The blacklist of uncloneable classes did not work for classes that extend an uncloneable class.
* Updated list of dependencies in `package.xml`.

PHP_CodeCoverage 1.0.4
----------------------
* Fixed an issue where `mkdir()` was called with a wrong argument.
* Updated list of dependencies in `package.xml`.


php-phpunit-PHPUnit now requires php-pear-XML_RPC2 (new package)
--------------------------------------------------------------------------------
ChangeLog:

* Wed Feb 16 2011 Remi Collet <Fedora famillecollet com> - 1.0.8-1
- Version 1.0.8 (stable) - API 1.0.4 (stable)
--------------------------------------------------------------------------------


================================================================================
 python-repoze-lru-0.3-1.el6 (FEDORA-EPEL-2011-0464)
 A tiny LRU cache implementation and decorator
--------------------------------------------------------------------------------
Update Information:

Initial release of python-repoze-lru, a tiny LRU cache implementation and decorator, for Fedora & EPEL.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #674671 - Review Request: python-repoze-lru - A tiny LRU cache implementation and decorator
        https://bugzilla.redhat.com/show_bug.cgi?id=674671
--------------------------------------------------------------------------------


================================================================================
 python-translationstring-0.3-1.el6 (FEDORA-EPEL-2011-0462)
 Utility library for i18n relied on by various Repoze packages
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #674666 - Review Request: python-translationstring - Utility library for i18n relied on by various Repoze packages
        https://bugzilla.redhat.com/show_bug.cgi?id=674666
--------------------------------------------------------------------------------


================================================================================
 python-venusian-0.6-1.el6 (FEDORA-EPEL-2011-0456)
 A library for deferring decorator actions
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #674667 - Review Request: python-venusian - A library for deferring decorator actions
        https://bugzilla.redhat.com/show_bug.cgi?id=674667
--------------------------------------------------------------------------------


================================================================================
 rear-1.10.0-1.el6 (FEDORA-EPEL-2011-0444)
 Relax and Recover (ReaR) is a Linux Disaster Recovery framework
--------------------------------------------------------------------------------
Update Information:

release 1.10.0 fixes the upgrade problems from 1.7.26
Support for bacula, bextract, usb (booting and archive), udev,
OBDR, dhcp client support and basic system cloning has
been added. And, many little bugs were fixed.
rear release with cloning functionalities (P2V,...)
--------------------------------------------------------------------------------
ChangeLog:

* Mon Feb 21 2011 Gratien D'haese <gdha at sourceforge.net> - 1.10.0
- new release
* Mon Jan 24 2011 Gratien D'haese <gdha at sourceforge.net> - 1.9-1
- added AUTHORS, TODO to %doc and rm from datadir
--------------------------------------------------------------------------------


================================================================================
 rst2pdf-0.16-1.el6 (FEDORA-EPEL-2011-0460)
 Tool for transforming reStructuredText to PDF
--------------------------------------------------------------------------------


================================================================================
 transifex-client-0.4.2-0.3.226a185088efhg.el6 (FEDORA-EPEL-2011-0452)
 Command line tool for Transifex translation management
--------------------------------------------------------------------------------
Update Information:

command line tool for
Transifex translation
management.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #678680 - Review Request: transifex-client - Command line tool for Transifex translation management
        https://bugzilla.redhat.com/show_bug.cgi?id=678680
--------------------------------------------------------------------------------



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]